<?xml version="1.0" encoding="UTF-8"?>
<!-- Es un archivo de mapeo -->
<!DOCTYPE mapper
  PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
    "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.mx.dla.dda.contrato.condicionesLicense.daos.PLFAnnioDAO">


	<insert id="insertarPlAnnio"
		parameterType="com.mx.dla.dda.contrato.condicionesLicense.dtos.PlfAnnioDTO">
			insert into DDA_T_CONTRATO_PLF_ANNIO  (ID_CONTRATO,ANNIO,MONTO) values (#{idContrato}, #{annio}, #{monto})
	</insert>
	
	<delete id="borrarPlAnnio">
		delete DDA_T_CONTRATO_PLF_ANNIO where ID_CONTRATO=#{idContrato}
	</delete>

	<resultMap id="PlAnnio"
		type="com.mx.dla.dda.contrato.condicionesLicense.dtos.PlfAnnioDTO">
		<id property="idContrato" column="ID_CONTRATO" />
		<result property="annio" column="ANNIO" />
		<result property="monto" column="MONTO" />
	</resultMap>

	<select id="buscarPlAnnios" resultMap="PlAnnio"
		parameterType="long">
		select
			ID_CONTRATO,
			ANNIO,
			MONTO
		from
			DDA_T_CONTRATO_PLF_ANNIO
		where
			ID_CONTRATO = #{idContrato}
		ORDER BY ANNIO ASC
	</select>

</mapper>
